## r-cran-r6 2.2.0

=== DESCRIPTION ===
Package: R6
Title: Classes with Reference Semantics
Version: 2.2.0
Authors@R: person("Winston", "Chang", role = c("aut", "cre"), email = "winston@stdout.org")
Description: The R6 package allows the creation of classes with reference
    semantics, similar to R's built-in reference classes. Compared to reference
    classes, R6 classes are simpler and lighter-weight, and they are not built
    on S4 classes so they do not require the methods package. These classes
    allow public and private members, and they support inheritance, even when
    the classes are defined in different packages.
Depends: R (>= 3.0)
Suggests: knitr, microbenchmark, pryr, testthat, ggplot2, scales
License: MIT + file LICENSE
URL: https://github.com/wch/R6/
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-10-03 20:49:50 UTC; winston
Author: Winston Chang [aut, cre]
Maintainer: Winston Chang <winston@stdout.org>
Repository: CRAN
Date/Publication: 2016-10-05 09:29:43

## r-cran-r6 2.1.2

=== debian/changelog ===
r-cran-r6 (2.1.2-3build1) yakkety; urgency=medium

  * No-change rebuild for r-base 3.3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 23:58:49 +0000

r-cran-r6 (2.1.2-3) unstable; urgency=medium

  * Fix incorrect logic in run-unit-test
  * Add a patch to remove one sub-test which depends on pryr

 -- Gordon Ball <gordon@chronitis.net>  Tue, 03 May 2016 14:59:00 +0200

r-cran-r6 (2.1.2-2) unstable; urgency=medium

  * Run upstream test suite as autopkgtest
  * Now maintained in debian-science team

 -- Gordon Ball <gordon@chronitis.net>  Fri, 25 Mar 2016 11:53:41 +0100

r-cran-r6 (2.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #814739, #818622, #818989)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 15 Feb 2016 14:56:16 +0100

=== debian/control ===
Source: r-cran-r6
Section: gnu-r
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Build-Depends: debhelper (>= 9),
               r-base-dev (>= 3),
               cdbs
Standards-Version: 3.9.8
Homepage: https://cran.r-project.org/web/packages/R6/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-r6.git/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-r6.git

Package: r-cran-r6
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}
Description: R classes with reference semantics
 The R6 package allows the creation of classes with reference semantics,
 similar to R's built-in reference classes. Compared to reference classes,
 R6 classes are simpler and lighter-weight, and they are not built on S4
 classes so they do not require the methods package. These classes allow
 public and private members, and they support inheritance, even when the
 classes are defined in different packages.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/r-cran-r6::
	rm -vf $(debRlib)/$(cranNameOrig)/LICENSE

## r-cran-r6 2.2.0

=== debian/changelog ===
r-cran-r6 (2.2.0-2) unstable; urgency=medium

  * Switch to dh compat 10

 -- Gordon Ball <gordon@chronitis.net>  Tue, 10 Jan 2017 16:14:42 +0100

r-cran-r6 (2.2.0-1) unstable; urgency=medium

  * New upstream release: 2.2.0
  * Switch to using dh-r for build
  * Use the canonical CRAN URL for the homepage

 -- Gordon Ball <gordon@chronitis.net>  Sat, 08 Oct 2016 13:44:01 +0200

r-cran-r6 (2.1.3-1) unstable; urgency=medium

  * New upstream release: 2.1.3

 -- Gordon Ball <gordon@chronitis.net>  Fri, 19 Aug 2016 22:36:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                r-base-dev (>= 3),
-               cdbs
+               dh-r
 Standards-Version: 3.9.8
-Homepage: https://cran.r-project.org/web/packages/R6/
+Homepage: https://cran.r-project.org/package=R6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-r6.git/
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-r6.git
 
 Package: r-cran-r6
 Architecture: all
 Depends: ${R:Depends}, ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: R classes with reference semantics
  The R6 package allows the creation of classes with reference semantics,
  similar to R's built-in reference classes. Compared to reference classes,

## r-cran-r6 2.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: R6
 Title: Classes with Reference Semantics
-Version: 2.2.0
+Version: 2.2.2
 Authors@R: person("Winston", "Chang", role = c("aut", "cre"), email = "winston@stdout.org")
 Description: The R6 package allows the creation of classes with reference
     semantics, similar to R's built-in reference classes. Compared to reference
@@ -14,10 +14,10 @@
 URL: https://github.com/wch/R6/
 LazyData: true
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2016-10-03 20:49:50 UTC; winston
+Packaged: 2017-06-12 18:48:43 UTC; winston
 Author: Winston Chang [aut, cre]
 Maintainer: Winston Chang <winston@stdout.org>
 Repository: CRAN
-Date/Publication: 2016-10-05 09:29:43
+Date/Publication: 2017-06-17 08:22:59 UTC

=== debian/changelog ===
r-cran-r6 (2.2.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 21:58:08 +0200

r-cran-r6 (2.2.2-2) unstable; urgency=medium

  * Team upload.
  * cme fix dpkg-control
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 15:31:27 +0200

r-cran-r6 (2.2.2-1) unstable; urgency=medium

  * New upstream release: 2.2.2
  * Update to Standards-Version 4.0.0
  * Update years, use https URL in d/copyright

 -- Gordon Ball <gordon@chronitis.net>  Fri, 23 Jun 2017 11:50:42 +0200

r-cran-r6 (2.2.1-1) unstable; urgency=medium

  * New upstream release: 2.2.1 

 -- Gordon Ball <gordon@chronitis.net>  Sat, 13 May 2017 22:18:06 +0200

=== debian/control ===
Source: r-cran-r6
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r6
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r6.git
Homepage: https://cran.r-project.org/package=R6

Package: r-cran-r6
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R classes with reference semantics
 The R6 package allows the creation of classes with reference semantics,
 similar to R's built-in reference classes. Compared to reference classes,
 R6 classes are simpler and lighter-weight, and they are not built on S4
 classes so they do not require the methods package. These classes allow
 public and private members, and they support inheritance, even when the
 classes are defined in different packages.

## r-cran-r6 2.4.0

=== DESCRIPTION ===
Package: R6
Title: Encapsulated Classes with Reference Semantics
Version: 2.4.0
Authors@R: person("Winston", "Chang", role = c("aut", "cre"), email = "winston@stdout.org")
Description: Creates classes with reference semantics, similar to R's built-in
    reference classes. Compared to reference classes, R6 classes are simpler
    and lighter-weight, and they are not built on S4 classes so they do not
    require the methods package. These classes allow public and private
    members, and they support inheritance, even when the classes are defined in
    different packages.
Depends: R (>= 3.0)
Suggests: knitr, microbenchmark, pryr, testthat, ggplot2, scales
License: MIT + file LICENSE
URL: https://r6.r-lib.org, https://github.com/r-lib/R6/
LazyData: true
BugReports: https://github.com/r-lib/R6/issues
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-02-14 18:34:54 UTC; winston
Author: Winston Chang [aut, cre]
Maintainer: Winston Chang <winston@stdout.org>
Repository: CRAN
Date/Publication: 2019-02-14 19:42:14 UTC

=== debian/changelog ===
r-cran-r6 (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper compat level 12
  * Update to Standards-Version 4.3.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 15 Feb 2019 19:05:58 +0000

r-cran-r6 (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Oct 2018 14:57:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r6
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r6.git
 Homepage: https://cran.r-project.org/package=R6

## r-cran-r6 2.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: R6
 Title: Encapsulated Classes with Reference Semantics
-Version: 2.4.0
+Version: 2.4.1
 Authors@R: person("Winston", "Chang", role = c("aut", "cre"), email = "winston@stdout.org")
 Description: Creates classes with reference semantics, similar to R's built-in
     reference classes. Compared to reference classes, R6 classes are simpler
@@ -16,8 +16,8 @@
 BugReports: https://github.com/r-lib/R6/issues
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2019-02-14 18:34:54 UTC; winston
+Packaged: 2019-11-12 20:00:15 UTC; winston
 Author: Winston Chang [aut, cre]
 Maintainer: Winston Chang <winston@stdout.org>
 Repository: CRAN
-Date/Publication: 2019-02-14 19:42:14 UTC
+Date/Publication: 2019-11-12 22:50:03 UTC

=== debian/changelog ===
r-cran-r6 (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Update to Standards-Version 4.4.1
  * Declare Rules-Requires-Root: no
  * Replace deprecated $ADTTMP with $AUTOPKGTEST_TMP in run-unit-test

 -- Gordon Ball <gordon@chronitis.net>  Wed, 13 Nov 2019 16:23:08 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r6
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r6.git
 Homepage: https://cran.r-project.org/package=R6
+Rules-Requires-Root: no
 
 Package: r-cran-r6
 Architecture: all

## r-cran-r6 2.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: R6
 Title: Encapsulated Classes with Reference Semantics
-Version: 2.4.1
+Version: 2.5.0
 Authors@R: person("Winston", "Chang", role = c("aut", "cre"), email = "winston@stdout.org")
 Description: Creates classes with reference semantics, similar to R's built-in
     reference classes. Compared to reference classes, R6 classes are simpler
@@ -16,8 +16,8 @@
 BugReports: https://github.com/r-lib/R6/issues
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2019-11-12 20:00:15 UTC; winston
+Packaged: 2020-10-28 18:30:05 UTC; winston
 Author: Winston Chang [aut, cre]
 Maintainer: Winston Chang <winston@stdout.org>
 Repository: CRAN
-Date/Publication: 2019-11-12 22:50:03 UTC
+Date/Publication: 2020-10-28 19:30:02 UTC

=== debian/changelog ===
r-cran-r6 (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0

 -- Gordon Ball <gordon@chronitis.net>  Thu, 29 Oct 2020 14:56:55 +0000

r-cran-r6 (2.4.1-2) unstable; urgency=medium

  * Update to Standards-Version 4.5.0
  * Use debhelper compat level 13
  * Rebuild against R 4.0.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 15 May 2020 09:04:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r6
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r6.git
 Homepage: https://cran.r-project.org/package=R6

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/R6_([-\d.]+)\.tar\.gz/r-cran-r6-$1\.tar\.gz/ \
https://cran.r-project.org/src/contrib/R6_([-\d.]*)\.tar\.gz

## r-cran-r6 2.5.1

=== DESCRIPTION ===
Package: R6
Title: Encapsulated Classes with Reference Semantics
Version: 2.5.1
Authors@R: person("Winston", "Chang", role = c("aut", "cre"), email = "winston@stdout.org")
Description: Creates classes with reference semantics, similar to R's built-in
    reference classes. Compared to reference classes, R6 classes are simpler
    and lighter-weight, and they are not built on S4 classes so they do not
    require the methods package. These classes allow public and private
    members, and they support inheritance, even when the classes are defined in
    different packages.
Depends: R (>= 3.0)
Suggests: testthat, pryr
License: MIT + file LICENSE
URL: https://r6.r-lib.org, https://github.com/r-lib/R6/
BugReports: https://github.com/r-lib/R6/issues
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-08-06 20:18:46 UTC; winston
Author: Winston Chang [aut, cre]
Maintainer: Winston Chang <winston@stdout.org>
Repository: CRAN
Date/Publication: 2021-08-19 14:00:05 UTC

=== debian/changelog ===
r-cran-r6 (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Drop remove-pryr-test.patch, test made conditional upstream

 -- Gordon Ball <gordon@chronitis.net>  Sat, 21 Aug 2021 18:04:39 +0000

## r-cran-r6 2.6.1

=== DESCRIPTION ===
Package: R6
Title: Encapsulated Classes with Reference Semantics
Version: 2.6.1
Authors@R: c(
    person("Winston", "Chang", , "winston@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Creates classes with reference semantics, similar to R's
    built-in reference classes. Compared to reference classes, R6 classes
    are simpler and lighter-weight, and they are not built on S4 classes
    so they do not require the methods package. These classes allow public
    and private members, and they support inheritance, even when the
    classes are defined in different packages.
License: MIT + file LICENSE
URL: https://r6.r-lib.org, https://github.com/r-lib/R6
BugReports: https://github.com/r-lib/R6/issues
Depends: R (>= 3.6)
Suggests: lobstr, testthat (>= 3.0.0)
Config/Needs/website: tidyverse/tidytemplate, ggplot2, microbenchmark,
        scales
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-02-14 21:15:19 UTC; winston
Author: Winston Chang [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Winston Chang <winston@posit.co>
Repository: CRAN
Date/Publication: 2025-02-15 00:50:02 UTC

=== debian/changelog ===
r-cran-r6 (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Contact,
    Repository, Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Feb 2025 10:57:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-r6
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Gordon Ball <gordon@chronitis.net>
-Section: gnu-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r6
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r6.git
+Homepage: https://cran.r-project.org/package=R6
+Standards-Version: 4.7.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r6
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r6.git
-Homepage: https://cran.r-project.org/package=R6
-Rules-Requires-Root: no
 
 Package: r-cran-r6
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-lobstr,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/R6_([-\d.]+)\.tar\.gz/r-cran-r6-$1\.tar\.gz/ \
https://cran.r-project.org/src/contrib/R6_([-\d.]*)\.tar\.gz
